Bug 1031403 - [abrt] backintime-common-1.0.28-1.fc19: tools.py:511:keyring_supported:AttributeError: 'module' object has no attribute 'SecretServiceKeyring'
[abrt] backintime-common-1.0.28-1.fc19: tools.py:511:keyring_supported:Attrib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: backintime (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e3eb26a7c5bd6e8c3b152bd8edc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 12:02 EST by Jacek Pawlyta
Modified: 2013-12-13 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version: backintime-1.0.28-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 05:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2013-11-17 12:02 EST, Jacek Pawlyta
no flags Details
File: environ (455 bytes, text/plain)
2013-11-17 12:02 EST, Jacek Pawlyta
no flags Details

  None (edit)
Description Jacek Pawlyta 2013-11-17 12:02:17 EST
Description of problem:
automatic program start

Version-Release number of selected component:
backintime-common-1.0.28-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/backintime/common/backintime.py --backup-job
executable:     /usr/share/backintime/common/backintime.py
kernel:         3.12.0-0.rc6.git0.1.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tools.py:511:keyring_supported:AttributeError: 'module' object has no attribute 'SecretServiceKeyring'

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 403, in <module>
    start_app()
  File "/usr/share/backintime/common/backintime.py", line 185, in start_app
    take_snapshot( cfg, False )
  File "/usr/share/backintime/common/backintime.py", line 54, in take_snapshot
    snapshots.Snapshots( cfg ).take_snapshot( force )
  File "/usr/share/backintime/common/snapshots.py", line 887, in take_snapshot
    hash_id = mount.Mount(cfg = self.config).mount()
  File "/usr/share/backintime/common/mount.py", line 52, in __init__
    pw_cache = password.Password_Cache(self.config)
  File "/usr/share/backintime/common/password.py", line 252, in __init__
    self.keyring_supported = tools.keyring_supported()
  File "/usr/share/backintime/common/tools.py", line 511, in keyring_supported
    backends = (keyring.backend.SecretServiceKeyring,
AttributeError: 'module' object has no attribute 'SecretServiceKeyring'

Local variables in innermost frame:
Comment 1 Jacek Pawlyta 2013-11-17 12:02:26 EST
Created attachment 825206 [details]
File: backtrace
Comment 2 Jacek Pawlyta 2013-11-17 12:02:29 EST
Created attachment 825207 [details]
File: environ
Comment 3 Christopher Meng 2013-11-23 20:48:58 EST
Will fix in Monday.
Comment 4 Fedora Update System 2013-11-25 20:32:31 EST
backintime-1.0.28-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.28-2.fc19
Comment 5 Fedora Update System 2013-11-25 20:34:02 EST
backintime-1.0.28-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.28-2.fc20
Comment 6 Fedora Update System 2013-11-26 13:04:33 EST
Package backintime-1.0.28-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing backintime-1.0.28-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22187/backintime-1.0.28-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-05 05:37:40 EST
backintime-1.0.28-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-13 22:45:15 EST
backintime-1.0.28-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.